Đến nội dung


Hình ảnh
- - - - -

AI giúp mình lấy giá trị trong form với.


  • Please log in to reply
3 replies to this topic

#1 trungdoo

trungdoo

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 15 July 2013 - 01:34 PM

Mình có đoạn mã trong form như sau:

 

double a, b, c, d;

            a = double.Parse(txt_a.ToString());

            b = double.Parse(txt_b.ToString());

            c = double.Parse(txt_c.ToString());

            d = double.Parse(txt_d.ToString());

Và trong class:

CommandMethod("mm")]

        public static void phuongthuc(double a, double b, double c, double d)

        {

  Document acDoc = Application.DocumentManager.MdiActiveDocument;

  Database acCurDb = acDoc.Database;

  using (Transaction acTrans = acCurDb.TransactionManager.StartTransaction())

  {    

      BlockTable acBlkTbl;

      acBlkTbl = acTrans.GetObject(acCurDb.BlockTableId,

                                   OpenMode.ForRead) as BlockTable;     

      BlockTableRecord acBlkTblRec;

      acBlkTblRec = acTrans.GetObject(acBlkTbl[BlockTableRecord.ModelSpace],

                                      OpenMode.ForWrite) as BlockTableRecord;    

      Line acLine = new Line(new Point3d(a, b, 0),

                             new Point3d(c, d, 0));

      acLine.SetDatabaseDefaults();   

      acBlkTblRec.AppendEntity(acLine);

      acTrans.AddNewlyCreatedDBObject(acLine, true);  

      acTrans.Commit();

  }

        }

Ai có thể giúp mình liên kết form với class để khi nhập giá trị trong textbox(a,b,c,d) thì chạy trong class và vẽ ra cad.Mình cảm ơn trước nha.

double a, b, c, d;
            a = double.Parse(txt_a.ToString());
            b = double.Parse(txt_b.ToString());
            c = double.Parse(txt_c.ToString());
            d = double.Parse(txt_d.ToString());
double a, b, c, d;
            a = double.Parse(txt_a.ToString());
            b = double.Parse(txt_b.ToString());
            c = double.Parse(txt_c.ToString());
 
double a, b, c, d;
            a = double.Parse(txt_a.ToString());
            b = double.Parse(txt_b.ToString());
            c = double.Parse(txt_c.ToString());
            d = double.Parse(txt_d.ToString());

  • 0

#2 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1435 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 16 July 2013 - 03:02 PM

..........

Ai có thể giúp mình liên kết form với class để khi nhập giá trị trong textbox(a,b,c,d) thì chạy trong class và vẽ ra cad.Mình cảm ơn trước nha.

....................

Tham khảo code DrawLine : link download http://www.mediafire...cci7a1a76n57faw

 

15454_addline.jpg


  • 0

#3 Detailing

Detailing

    biết lệnh imageclip

  • Members
  • PipPipPipPipPipPipPip
  • 667 Bài viết
Điểm đánh giá: 278 (khá)

Đã gửi 18 August 2013 - 02:01 PM

Mình có đoạn mã trong form như sau:

 

double a, b, c, d;

            a = double.Parse(txt_a.ToString());

            b = double.Parse(txt_b.ToString());

            c = double.Parse(txt_c.ToString());

            d = double.Parse(txt_d.ToString());

Và trong class:

CommandMethod("mm")]

        public static void phuongthuc(double a, double b, double c, double d)

        {

  Document acDoc = Application.DocumentManager.MdiActiveDocument;

  Database acCurDb = acDoc.Database;

  using (Transaction acTrans = acCurDb.TransactionManager.StartTransaction())

  {    

      BlockTable acBlkTbl;

      acBlkTbl = acTrans.GetObject(acCurDb.BlockTableId,

                                   OpenMode.ForRead) as BlockTable;     

      BlockTableRecord acBlkTblRec;

      acBlkTblRec = acTrans.GetObject(acBlkTbl[BlockTableRecord.ModelSpace],

                                      OpenMode.ForWrite) as BlockTableRecord;    

      Line acLine = new Line(new Point3d(a, b, 0),

                             new Point3d(c, d, 0));

      acLine.SetDatabaseDefaults();   

      acBlkTblRec.AppendEntity(acLine);

      acTrans.AddNewlyCreatedDBObject(acLine, true);  

      acTrans.Commit();

  }

        }

Ai có thể giúp mình liên kết form với class để khi nhập giá trị trong textbox(a,b,c,d) thì chạy trong class và vẽ ra cad.Mình cảm ơn trước nha.

double a, b, c, d;
            a = double.Parse(txt_a.ToString());
            b = double.Parse(txt_b.ToString());
            c = double.Parse(txt_c.ToString());
            d = double.Parse(txt_d.ToString());
double a, b, c, d;
            a = double.Parse(txt_a.ToString());
            b = double.Parse(txt_b.ToString());
            c = double.Parse(txt_c.ToString());
 
double a, b, c, d;
            a = double.Parse(txt_a.ToString());
            b = double.Parse(txt_b.ToString());
            c = double.Parse(txt_c.ToString());
            d = double.Parse(txt_d.ToString());

thêm đoạn sau trong form

public double pub_a {get {return a;}}

public double pub_b {get {return b;}}

public double pub_c {get {return c;}}

public double pub_d {get {return d;}}

 

 

thay dòng Line acLine = ......................................... bằng đoạn sau

 

Line acLine;

using(form frm = new form())

{

frm.showDialog()

acLine = new Line(new Point3d(pub_a , pub_b,0), new Point3d( pub_c, pub_d,0));

}

 

p/s: Nên kiểm tra điều kiện user cancel form :D

Good luck!


  • 0

Ideas don't matter, execution does!

1908412_308002392716743_8165279281236341


#4 muabanlaptop

muabanlaptop

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 September 2013 - 06:04 PM

Đoạn code trên chạy khá tốt !

 

Đang cần cái này ai ngờ lang thang vào đây gặp ngay :)

 

 

 

 

 

 

 

_________________________________

Tham khảo gia laptop toshiba tốt nhất hiện nay tại HCM


  • 0